public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-process/atop/
Date: Sun,  8 Jan 2023 05:20:45 +0000 (UTC)	[thread overview]
Message-ID: <1673155210.56004d801ebea86b1d40972f52778086f2789e16.sam@gentoo> (raw)

commit:     56004d801ebea86b1d40972f52778086f2789e16
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Jan  8 05:20:10 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jan  8 05:20:10 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=56004d80

sys-process/atop: add 2.8.1

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-process/atop/Manifest          |   1 +
 sys-process/atop/atop-2.8.1.ebuild | 114 +++++++++++++++++++++++++++++++++++++
 2 files changed, 115 insertions(+)

diff --git a/sys-process/atop/Manifest b/sys-process/atop/Manifest
index 5a5e225adfce..b685890a9d16 100644
--- a/sys-process/atop/Manifest
+++ b/sys-process/atop/Manifest
@@ -1,3 +1,4 @@
 DIST atop-2.7.1.tar.gz 248809 BLAKE2B 2cf1a68a7b24d76340295d9bde03a5602e9049a860468217771c696fe4b9062f2155aeefa2e3e810984780f82de6bf922bf7d6b02c7fd19194162dc70b015b81 SHA512 18f30c67d6f86b9270599317eed846c63d19e8ba6ea85bad8ec3d5ffb0489f17c75c8d8b3a14054bd14e89ed40d39e5d37bce834c7422087e6d8b86c99273a72
 DIST atop-2.8.0.tar.gz 263650 BLAKE2B 88ec63d482d34866d82d16f1c60a4a04bc749014f22f991ec9e6233a5d63a12b5a9c637544e27e346f751466c636d3b365bce5fc65f62e7bf9224faa9be047e9 SHA512 f601bdabc33f581e85b9b753537bddbeb4dd2a2cd9eec8716d856c7766e489b419eaf15c1b2fd2c1a2a64628d459e113739b939fc06f5d33828b22a9550c76fa
+DIST atop-2.8.1.tar.gz 264182 BLAKE2B 1764090d760cc8d75d193a077776a269eaa4ba997e8e5f064525d23f2005b92bb1b3f0903f2b1476f437db6a0dc698575e95b34e0fc9112d2ff6d06d3133ea78 SHA512 d748f374fb66d7ce33cebc5ce6899c3c0cc79dc394cb835466b21c7a4ec7c17cba255a3b04b36136c8c24c33ced0e5bd68f151ac804f6176547399e457976aaf
 DIST netatop-3.1.tar.gz 22812 BLAKE2B 1b1faebf1392a57db6b4662192f90821289c8fc40c2c1ee0ad61feeeee6477c4d091744a1e82cdd987baf59f8dd71fc6d242d6dd294b8fb29b9447a9d5055996 SHA512 b12fd2287d89d3a8277f8fb540a19e6d26aa26c3f88e7ae2e6601b63f78d642e73b8d16cf351f6979ce7bbf53251b9c1faa76798a87f70cf3dcf51279eb0db68

diff --git a/sys-process/atop/atop-2.8.1.ebuild b/sys-process/atop/atop-2.8.1.ebuild
new file mode 100644
index 000000000000..948c12e87582
--- /dev/null
+++ b/sys-process/atop/atop-2.8.1.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Check on bumps of atop
+# https://www.atoptool.nl/downloadnetatop.php
+NETATOP_VER=3.1
+
+# Controls 'netatop' kernel module
+MODULES_OPTIONAL_USE="modules"
+NETATOP_P=net${PN}-${NETATOP_VER}
+NETATOP_S="${WORKDIR}"/${NETATOP_P}
+
+inherit linux-info linux-mod systemd toolchain-funcs
+
+DESCRIPTION="Resource-specific view of processes"
+HOMEPAGE="https://www.atoptool.nl/ https://github.com/Atoptool/atop"
+SRC_URI="https://github.com/Atoptool/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" modules? ( https://www.atoptool.nl/download/${NETATOP_P}.tar.gz )"
+
+# Module is GPL-2 as well
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+	sys-libs/ncurses:=
+	>=sys-process/acct-6.6.4-r1
+	modules? ( sys-libs/zlib )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-2.6.0-build.patch
+)
+
+pkg_pretend() {
+	if use kernel_linux ; then
+		CONFIG_CHECK="~BSD_PROCESS_ACCT"
+		check_extra_config
+	fi
+}
+
+src_prepare() {
+	default
+
+	if use modules ; then
+		cd "${WORKDIR}"/${NETATOP_P} || die
+		eapply -p1 "${FILESDIR}"/${PN}-2.7.0-netatop-makefile.patch
+		cd "${S}" || die
+	fi
+
+	tc-export CC PKG_CONFIG
+
+	# bug #191926
+	sed -i 's: root : :' atop.cronsysv || die
+
+	# prefixify
+	sed -i "s:/\(usr\|etc\|var\):${EPREFIX}/\1:g" Makefile || die
+}
+
+src_configure() {
+	default
+
+	BUILD_TARGETS="netatop.ko"
+	MODULE_NAMES="netatop(:${NETATOP_S}/module)"
+}
+
+src_compile() {
+	default
+
+	linux-mod_src_compile
+}
+
+src_install() {
+	linux-mod_src_install
+
+	if use modules ; then
+		# netatop's Makefile tries to build the kernel module for us
+		# so let's just replicate parts of it here.
+		emake -C "${NETATOP_S}"/daemon all
+
+		dosbin "${NETATOP_S}"/daemon/netatopd
+		doman "${NETATOP_S}"/man/*
+
+		systemd_dounit "${NETATOP_S}"/netatop.service
+
+		# TODO: Release after 2.8.0 may contain this, check!
+		newinitd "${FILESDIR}"/netatop.rc netatop
+	fi
+
+	emake DESTDIR="${D}" genericinstall
+
+	# useless -${PV} copies ?
+	rm "${ED}"/usr/bin/atop*-${PV} || die
+
+	newinitd atop.rc.openrc ${PN}
+	newinitd atopacct.rc.openrc atopacct
+
+	systemd_dounit "${S}"/${PN}.service
+	systemd_dounit "${S}"/atopacct.service
+
+	dodoc atop.cronsysv AUTHORS README
+
+	exeinto /usr/share/${PN}
+	doexe ${PN}.daily
+
+	insinto /etc/default
+	newins ${PN}{.default,}
+
+	keepdir /var/log/${PN}
+}


             reply	other threads:[~2023-01-08  5:20 UTC|newest]

Thread overview: 51+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-01-08  5:20 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-10 11:04 [gentoo-commits] repo/gentoo:master commit in: sys-process/atop/ Arthur Zamarin
2024-10-08 21:50 Jakov Smolić
2024-10-05 14:30 Arthur Zamarin
2024-10-05 12:02 Arthur Zamarin
2024-08-11 21:14 Sam James
2024-08-11 20:56 Sam James
2024-03-02 16:31 Arthur Zamarin
2024-02-18 20:02 Arthur Zamarin
2024-02-18 20:02 Arthur Zamarin
2024-02-18 19:57 Arthur Zamarin
2024-01-14  3:46 Sam James
2024-01-14  3:40 Sam James
2023-11-27 11:23 Sam James
2023-08-02  8:17 Sam James
2023-07-24 21:02 Sam James
2023-07-24 13:39 Arthur Zamarin
2023-07-15  8:45 Arthur Zamarin
2023-05-20  7:02 Sam James
2023-05-03 18:58 Sam James
2023-03-04 11:03 Arthur Zamarin
2023-03-04  7:04 Arthur Zamarin
2023-01-08  5:20 Sam James
2022-12-31 23:28 Sam James
2022-10-29 21:39 Sam James
2022-04-17 17:12 Sam James
2022-02-20  5:27 Sam James
2022-02-19  6:29 Arthur Zamarin
2022-02-19  6:29 Arthur Zamarin
2022-02-19  6:29 Arthur Zamarin
2022-02-19  3:02 Sam James
2022-01-13  5:33 Sam James
2022-01-09  8:05 Sam James
2022-01-09  1:06 Sam James
2022-01-07  5:14 Sam James
2021-12-20  7:36 Sam James
2021-10-11 13:47 Yixun Lan
2021-05-16 12:45 Sam James
2021-05-13 21:17 Sam James
2021-05-13 18:56 Sam James
2021-05-13 17:12 Sam James
2019-11-07  8:21 Lars Wendler
2018-06-04 19:25 Mart Raudsepp
2017-12-12 15:10 Lars Wendler
2017-11-15 22:42 Sergei Trofimovich
2017-10-23 12:29 Manuel Rüger
2017-10-05 11:07 Sergei Trofimovich
2017-09-23 16:08 Thomas Deutschmann
2017-09-22 21:33 Thomas Deutschmann
2017-08-22 21:41 Michał Górny
2017-08-04  7:15 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1673155210.56004d801ebea86b1d40972f52778086f2789e16.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox